#include <iostream>
#include <vector>
using namespace std;

int main() {
    int N, L;
    cin >> N >> L;

    vector<int> H(N);
    for (int i = 0; i < N; ++i) {
        cin >> H[i];
    }

    int rez = -1;
    for (int i = 0; i < N; ++i) {
        if (H[i] <= L) {
            rez = i + 1;
            break;
        }
    }

    cout << rez << endl;
    return 0;
}